
function CreateGrants()
    CreateTechnicalEducationGrant();
    CreateMiningGrant();
    CreateSmeltingGrant();
    CreatePotteryGrant();
    CreateBadEnergyGrant();
    
end

function CreateTechnicalEducationGrant()

    Objective.CreateGrant ("Grant_Technical_Education", 1000, 5000)
    Objective.SetPreRequisite ( "Completed", "Grant_bootstraps", 0 )
    Objective.SetPreRequisite ( "Unlocked", "Maintainance", 0 )
    
    Objective.CreateGrant           ( "Grant_Technical_Education_Carpentry", 0, 0 )
    Objective.SetParent             ( "Grant_Technical_Education" )
    Objective.Requires              ( "ReformPassed", "Carpentry", 1 )
    
    Objective.CreateGrant           ( "Grant_Technical_Education_Workshop", 0, 0 )
    Objective.SetParent             ( "Grant_Technical_Education" )
    Objective.Requires              ( "ReformPassed", "WorkshopInduction", 5 )
    
    Objective.CreateGrant           ( "Grant_Technical_Education_OreSmelting", 0, 0 )
    Objective.SetParent             ( "Grant_Technical_Education" )
    Objective.Requires              ( "ReformPassed", "OreSmelting", 2 )
    
    Objective.CreateGrant           ( "Grant_Technical_Education_ProfRockCrush", 0, 0 )
    Objective.SetParent             ( "Grant_Technical_Education" )
    Objective.Requires              ( "ReformPassed", "ProffesionalRockCrushing", 10 )
end

function CreateMiningGrant()

    Objective.CreateGrant ("Grant_Create_Mining", 0, 2000)
    Objective.SetPreRequisite ( "Completed", "Grant_bootstraps", 0 )
    Objective.SetPreRequisite ( "Unlocked", "Maintainance", 0 )
    
    Objective.CreateGrant           ( "Grant_Create_Mining_Area", 0, 0 )
    Objective.SetParent             ( "Grant_Create_Mining" )
    Objective.RequireRoom           ( "MiningArea", true )
    
    Objective.CreateGrant           ( "Grant_Create_Mining_Quarry", 0, 0 )
    Objective.SetParent             ( "Grant_Create_Mining" )
    Objective.RequireObjects        ( "Quarry", 2 )
end

function CreateSmeltingGrant() 
    Objective.CreateGrant ("Grant_Create_Smelting", 0, 10000)
    Objective.SetPreRequisite ( "Completed", "Grant_Bad_Energy", 0 )
    Objective.SetPreRequisite ( "Completed", "Grant_Create_Mining", 0 )
    Objective.SetPreRequisite ( "Unlocked", "OreSmelting", 0 )
    
    Objective.CreateGrant           ( "Grant_Create_Smelting_Smeltery", 0, 0 )
    Objective.SetParent             ( "Grant_Create_Smelting" )
    Objective.RequireObjects        ( "Smeltery", 1 )    
        
    Objective.CreateGrant           ( "Grant_Create_Smelting_SmeltingIron", 0, 0 )
    Objective.SetParent             ( "Grant_Create_Smelting" )
    Objective.RequireManufactured   ( "SheetMetal", 30 )
    
    Objective.CreateGrant           ( "Grant_Create_Smelting_SmeltingCopper", 0, 0 )
    Objective.SetParent             ( "Grant_Create_Smelting" )
    Objective.RequireManufactured   ( "PipeLarge", 30 )
    
    Objective.CreateGrant           ( "Grant_Create_Smelting_SmeltingBrick", 0, 0 )
    Objective.SetParent             ( "Grant_Create_Smelting" )
    Objective.RequireManufactured   ( "Brick", 40 ) 
end

function CreatePotteryGrant()

    Objective.CreateGrant ("Grant_Pottery", 1000, 7500)
    Objective.SetPreRequisite ( "Completed", "Grant_bootstraps", 0 )
    Objective.SetPreRequisite ( "Unlocked", "Maintainance", 0 )
    
    Objective.CreateGrant           ( "Grant_Create_Pottery", 0, 0 )
    Objective.SetParent             ( "Grant_Pottery" )
    Objective.RequireRoom           ( "Pottery", true )
    
    Objective.CreateGrant           ( "Grant_Pottery_Wheel", 0, 0 )
    Objective.SetParent             ( "Grant_Pottery" )
    Objective.RequireObjects        ( "PotteryWheel", 1 )
    
    Objective.CreateGrant           ( "Grant_Pottery_Reform", 0, 0 )
    Objective.SetParent             ( "Grant_Pottery" )
    Objective.Requires              ( "ReformPassed", "PotMaking", 1 )
    
     Objective.CreateGrant           ( "Grant_Pottery_Pot", 0, 0 )
    Objective.SetParent             ( "Grant_Pottery" )
    Objective.RequireManufactured   ( "Pot", 4 ) 
end

function CreateBadEnergyGrant()

    Objective.CreateGrant ("Grant_Bad_Energy", 0, 2000)
    Objective.SetPreRequisite ( "Completed", "Grant_Create_Mining", 0 )
    Objective.SetPreRequisite ( "Unlocked", "Maintainance", 0 )
    
    Objective.CreateGrant           ( "Grant_Bad_Energy_Coal_Generator", 0, 0 )
    Objective.SetParent             ( "Grant_Bad_Energy" )
    Objective.RequireObjects         ( "CoalGenerator", 1 )
end


























